Skip to main content
PUT
/
api
/
external
/
v2
/
subscription-contract-add-line-item
Add product with custom price to subscription
curl --request PUT \
  --url https://subscription-admin.appstle.com/api/external/v2/subscription-contract-add-line-item \
  --header 'X-API-Key: <x-api-key>'
{
  "id": "gid://shopify/SubscriptionContract/123456789",
  "status": "ACTIVE",
  "nextBillingDate": "2024-04-01T00:00:00Z",
  "customer": {
    "id": "gid://shopify/Customer/987654321",
    "email": "customer@example.com"
  },
  "lines": {
    "edges": [
      {
        "node": {
          "id": "gid://shopify/SubscriptionLine/111111",
          "quantity": 1,
          "variantId": "gid://shopify/ProductVariant/42549172011164",
          "title": "Premium Coffee - Dark Roast",
          "currentPrice": {
            "amount": "29.99",
            "currencyCode": "USD"
          },
          "sellingPlanId": null,
          "sellingPlanName": null
        }
      },
      {
        "node": {
          "id": "gid://shopify/SubscriptionLine/222222",
          "quantity": 1,
          "variantId": "gid://shopify/ProductVariant/98765432101",
          "title": "Special Edition Box",
          "currentPrice": {
            "amount": "19.99",
            "currencyCode": "USD"
          },
          "sellingPlanId": null,
          "sellingPlanName": null,
          "discountAllocations": [
            {
              "discount": {
                "__typename": "SubscriptionManualDiscount",
                "id": "gid://shopify/SubscriptionManualDiscount/333333",
                "title": "PRODUCT_DISCOUNT_222222",
                "type": "MANUAL",
                "value": {
                  "percentage": 10
                }
              }
            }
          ]
        }
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.appstle.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-API-Key
string
required

API Key for authentication

Query Parameters

contractId
integer<int64>
required

Subscription contract ID to add product to

api_key
string

API Key (Deprecated - Use X-API-Key header instead)

quantity
integer<int32>
required

Quantity of product to add

variantId
string
required

Shopify variant ID of the product to add

price
number<double>
required

Custom price for the product (in store currency). This exact price will be charged regardless of the product's normal price, selling plans, or frequency. If the shop has 'applySubscriptionDiscount' enabled, an additional discount may be applied on top of this price.

Required range: 0.01 <= x <= 999999.99
isOneTimeProduct
boolean
default:false

When true, product will only be included in the next order; when false, in all future orders

Response

Product successfully added to subscription with custom price

get__typename
string
id
string
createdAt
object
updatedAt
object
nextBillingDate
object
status
enum<string>
Available options:
ACTIVE,
PAUSED,
CANCELLED,
EXPIRED,
FAILED,
$UNKNOWN
deliveryPrice
object
lastPaymentStatus
enum<string>
Available options:
SUCCEEDED,
FAILED,
$UNKNOWN
billingPolicy
object
deliveryPolicy
object
lines
object
customerPaymentMethod
object
deliveryMethod
object
originOrder
object
customer
object
discounts
object
note
string
customAttributes
object[]
billingAttempts
object